Bug 118808 - cannot get UUID of /dev/sda3 on HFS+ formatted iPod
cannot get UUID of /dev/sda3 on HFS+ formatted iPod
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: devlabel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-20 14:16 EST by Patrick C. F. Ernzer
Modified: 2014-03-16 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 18:18:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2004-03-20 14:16:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
devlabel fails to print a UID for the 3 partitions on a HFS+ formatted
iPod. It prints a UID fine for the device itself.

Version-Release number of selected component (if applicable):
devlabel-0.42.05-3.1

How reproducible:
Always

Steps to Reproduce:
1. plug in iPod that is HFS+ formatted (with mac style partition)
2. run 'devlabel printid -d /dev/sda1'
3. run 'devlabel printid -d /dev/sda2'
4. run 'devlabel printid -d /dev/sda3'
4. update to devlabel-0.45.08-1 (from
http://linux.dell.com/devlabel/permalink/devlabel-0.45.08-1.i386.rpm)
5. repeat steps 1 through 4
    

Actual Results:  no output for /dev/sda1 through sda3
(both in 0.42.05-3.1 and 0.45.08-1)

Expected Results:  printing the UID (the way I understand the
changelog, as of  0.36.06-1 this should work)

Additional info:

[root@x31-eth root]# devlabel printid -d /dev/sda
S:AppleiPod

[start /var/log/messages]
Mar 20 12:36:02 x31-eth kernel: scsi7 : SCSI emulation for IEEE-1394
SBP-2 Devices
Mar 20 12:36:04 x31-eth kernel: ieee1394: sbp2: Logged into SBP-2 device
Mar 20 12:36:04 x31-eth kernel: ieee1394: sbp2: Node 0-00:1023: Max
speed [S400] - Max payload [2048]
Mar 20 12:36:04 x31-eth scsi.agent[1335]: how to add device type= at
/devices/pci0000:00/0000:00:1e.0/0000:02:00.2/fw-host0/000a27000265858c/000a27000265858c-0/host7/7:0:0:0
??
Mar 20 12:36:04 x31-eth kernel:   Vendor: Apple     Model: iPod      
       Rev: 1.50
Mar 20 12:36:04 x31-eth kernel:   Type:   Direct-Access              
       ANSI SCSI revision: 02
Mar 20 12:36:07 x31-eth kernel: SCSI device sda: 39063024 512-byte
hdwr sectors (20000 MB)
Mar 20 12:36:07 x31-eth kernel: sda: test WP failed, assume Write Enabled
Mar 20 12:36:07 x31-eth kernel: sda: asking for cache data failed
Mar 20 12:36:07 x31-eth kernel: sda: assuming drive cache: write through
Mar 20 12:36:07 x31-eth kernel:  sda: [mac] sda1 sda2 sda3
Mar 20 12:36:07 x31-eth kernel: Attached scsi removable disk sda at
scsi7, channel 0, id 0, lun 0
Mar 20 12:36:07 x31-eth kernel: Attached scsi generic sg0 at scsi7,
channel 0, id 0, lun 0,  type 0
[end]

FWIW: sda3 is the partition containing data.
Comment 1 Bill Nottingham 2005-01-21 18:18:59 EST
At this point FC1 has reached its end of life, and it is unlikely that these
issues will be looked at for FC2's devlabel.

Note You need to log in before you can comment on or make changes to this bug.